# Interface EventIterator

All Superinterfaces:
  `Iterator<Event>`

public interface EventIterator extends Iterator<Event>
EventIterators are unmodifiable.

Since:
  1.3
See Also:
  - `Event`
  - `EventSet`
  - `Set.iterator()`

## Method Summary

Modifier and Type
Method
Description
`Event`
`nextEvent()`

### Methods declared in interface Iterator

`forEachRemaining, hasNext, next, remove`
Modifier and Type
Method
Description
`default void`
`forEachRemaining(Consumer<? super Event> action)`
Performs the given action for each remaining element until all elements have been processed or the action throws an exception.
`boolean`
`hasNext()`
Returns `true` if the iteration has more elements.
`Event`
`next()`
Returns the next element in the iteration.
`default void`
`remove()`
Removes from the underlying collection the last element returned by this iterator (optional operation).

## Method Details

### nextEvent

Event nextEvent()

Returns:
  The next `Event` in an `EventSet`.